explain_gethostname_or_die(3)

NAME
explain_gethostname_or_die - get/set hostname and report errors

SYNOPSIS
#include <libexplain/gethostname.h>

void explain_gethostname_or_die(char *data, size_t data_size);
intexplain_gethostname_on_error(char *data, size_t data_size);

DESCRIPTION
The explain_gethostname_or_die function is used to call the gethostname(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_gethostname(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_gethostname_on_error function is used to call the gethostname(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_gethostname(3) function, but still returns to the caller.

data
    The data, exactly as to be passed to the gethostname(2) system call.

data_size
    The data_size, exactly as to be passed to the gethostname(2) system call.

RETURN VALUE
The explain_gethostname_or_die function only returns on success, see gethostname(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_gethostname_on_error function always returns the value return by the wrapped gethostname(2) system call.

EXAMPLE
The explain_gethostname_or_die function is intended to be used in a fashion similar to the following example:
    explain_gethostname_or_die(data, data_size);

SEE ALSO

gethostname(2)
    get/set hostname

explain_gethostname(3)
    explain gethostname(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2009 Peter Miller